Composer Map: Add "Rename the composer" feature in Composer menu
Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 18849

Description

When a composer is open, it is possible to duplicate it through Composer menu. It would be nice to have the ability to also rename it,

without having to open Composer Manager.

Associated revisions

Revision 88682b2c - 2017-12-06 11:50 PM - Nyall Dawson

[needs-docs] Add rename layout action to layout designer dialog

Fixes #10435

History

#1 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#2 - 2017-12-07 12:36 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|88682b2c7defa1b4a7c06e071e40b729668e7b72.

#3 - 2017-12-07 11:14 AM - Giovanni Manghi

- Resolution set to fixed/implemented

#4 - 2017-12-07 11:21 AM - Harrissou Santanna

@Giovanni, I remark that you have now to manually set closed issues' resolution to fixed/implemented? Is this a bug? I thought this information was also

set when the commit is merged (besides % of realisation and status). Or it has always been like that and I did not pay attention?

#5 - 2017-12-07 11:35 AM - Giovanni Manghi

Harrissou Santanna wrote:

@Giovanni, I remark that you have now to manually set closed issues' resolution to fixed/implemented? Is this a bug? I thought this information was

also set when the commit is merged (besides % of realisation and status). Or it has always been like that and I did not pay attention?
I don't remember how it was before upgrading Redmine and moving to the new server. I don't mind doing it manually, maybe in Madeira we can see if it can

be done automatically.

#6 - 2017-12-07 11:47 AM - Harrissou Santanna

I gave a quick look to elder reports and indeed the resolution wasn't set. So no bug there.

Thanks for filling information.
